Gateway Details
curl --request GET \
--url https://api.pinata.cloud/v3/gateways/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pinata.cloud/v3/gateways/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pinata.cloud/v3/gateways/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "01dae16b-699c-472a-a61e-975a7b9777bd",
"created_at": "2023-01-24T19:51:17.493Z",
"domain": "restricted-example",
"restrict": false,
"custom_domains": [
{
"domain": "ipfs.pinata.cloud",
"domain_validation_status": "pending",
"custom_domain_id": "87980e39-fe71-4dba-9b05-3dfc66593539",
"ssl_validation_status": "initializing"
}
],
"settings": {
"restriction_policies": {
"accessTokens": [
{
"id": "d199be6a-3bee-461b-b7fb-e1225eafe28e",
"value": "key",
"createdAt": "2024-07-12T15:09:47.564042199Z"
}
],
"allowedHosts": [
{
"id": "8934893a-093c-4d3a-9cd8-2c034a7f4fb8",
"value": "https://ipfs.pinata.cloud",
"createdAt": "2024-07-12T15:10:03.192988915Z"
}
],
"allowedIPAddresses": [
{
"id": "e7d98003-d2b3-46ff-901e-2c666022004a",
"value": "1.1.1.1",
"createdAt": "2024-07-12T15:09:53.879274435Z"
}
]
}
}
}
}General
Gateway Details
org:gateways:read
GET
/
gateways
/
{id}
Gateway Details
⌘I